#include <bits/stdc++.h>
using namespace std;

int main() {
    const int MAX=20000;
    int N,K;
    int a[MAX],indeks;
    cin>>N>>K;
    for(int i=0;i<N;i++)
        cin>>a[i];
    for(int i=0;i<N;i++)
        if(a[i]==K){
            indeks=i+1;
            if(indeks==N)
                indeks=0;
            break;
        }
    cout<<a[indeks];
    return 0;
}